using Interactables.Interobjects.DoorUtils;
using LabApi.Features.Console;

namespace KeycardButModern;

public enum DoorType
{
    Normal,
    Gate,
    Checkpoint
}

public class DoorLockConfiguration
{
    public Dictionary<DoorType, float> LockDurations { get; set; }= new()
    {
        { DoorType.Normal, 5f },
        { DoorType.Gate, 8f },
        { DoorType.Checkpoint, 3f }
    };
    
    public static DoorType GetDoorType(DoorVariant door)
    {
        Logger.Debug("Door name: " + door.name);
        if (door.name.Contains("Checkpoint"))
            return DoorType.Checkpoint;
        return door.name.Contains("Gate") ? DoorType.Gate : DoorType.Normal;
    }
}